## cascading.cascade
Class Cascades

    java.lang.Object
      cascading.cascade.Cascades

    public class Cascades

extends Object

Class Cascades provides useful utilities for use in constructing `Cascade` and `Flow` instances via the `CascadeConnector` and `FlowConnector`, respectively.

See the `FlowDef` for the recommended alternative to dealing with Maps of Taps.

Constructor Summary
`Cascades()`

Method Summary
`static FlowGraph` `getFlowGraphFrom(Cascade cascade)`
`static IdentifierGraph` `getTapGraphFrom(Cascade cascade)`
`static Map<String,Tap>` `tapsMap(Pipe[] pipes, Tap[] taps)` Method tapsMap creates a new Map using the given pipes and taps.
`static Map<String,Tap>` `tapsMap(Pipe pipe, Tap tap)` Method tapsMap creates a new Map using the given Pipe name and tap.
`static Map<String,Tap>` `tapsMap(String[] names, Tap[] taps)` Method tapsMap creates a new Map for each name and tap.
`static Map<String,Tap>` `tapsMap(String name, Tap tap)` Method tapsMap creates a new Map for the given name and tap.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cascades

    public Cascades()

Method Detail

### tapsMap

    public static Map<String,Tap> tapsMap(String name,
                                          Tap tap)

  Method tapsMap creates a new Map for the given name and tap.

  Parameters:
    `name` - of type String
    `tap` - of type Tap
  Returns:
    Map

### tapsMap

    public static Map<String,Tap> tapsMap(String[] names,
                                          Tap[] taps)

  Method tapsMap creates a new Map for each name and tap.

  Parameters:
    `names` - of type String[]
    `taps` - of type Tap[]
  Returns:
    Map

### tapsMap

    public static Map<String,Tap> tapsMap(Pipe pipe,
                                          Tap tap)

  Method tapsMap creates a new Map using the given Pipe name and tap.

  Parameters:
    `pipe` - of type Pipe
    `tap` - of type Tap
  Returns:
    Map

### tapsMap

    public static Map<String,Tap> tapsMap(Pipe[] pipes,
                                          Tap[] taps)

  Method tapsMap creates a new Map using the given pipes and taps.

  Parameters:
    `pipes` - of type Pipe[]
    `taps` - of type Tap[]
  Returns:
    Map

### getFlowGraphFrom

    public static FlowGraph getFlowGraphFrom(Cascade cascade)

### getTapGraphFrom

    public static IdentifierGraph getTapGraphFrom(Cascade cascade)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.